name: Video
slug: video
groups: general
form:
  general:
    - name : video_fg_text
      label: Video
      type: fields-group
      status: open
      schema:
        - name: link_type
          label: Video Type
          type: select
          value: youtube
          options:
            youtube: Youtube
            vimeo: Vimeo
            
        - name: youtube_link
          label: Youtube ID
          type: text 
          value: bsUCU2cpR10
          help: You should see a combination of numbers and letters after an equal sign (=). See more https://goo.gl/u6xCLw
          depends: 
            link_type: youtube   

        - name: autoplay
          label : Autoplay
          type: switch
          depends: 
            link_type: youtube

        - name: related_video
          label : Show Related Videos
          type: switch 
          depends: 
            link_type: youtube

        - name: player_control
          label : Player Control
          type: switch
          depends: 
            link_type: youtube 

        - name: title_actions
          label : Player Title & Actions
          type: switch
          depends: 
            link_type: youtube  
        - name: mute
          label : Mute
          type: switch  
          depends: 
            link_type: youtube          
        - name: privacy_mode
          label : Privacy Mode
          type: switch 
          help: When you turn on privacy mode, YouTube won't store information about visitors on your website unless they play the video.
          depends: 
            link_type: youtube

        - name: vimeo_link
          label: Vimeo ID
          type: text 
          value: 37157187
          help: Once it is loaded, look at the URL and look for the numbers that come after the slash (/). See more https://goo.gl/dn7iy6
          depends: 
            link_type: vimeo

        - name: autoplay_vimeo
          label : Autoplay
          type: switch
          depends: 
            link_type: vimeo

        - name: loop_vimeo
          label : Loop
          type: switch
          help: Play the video again when it reaches the end, infinitely.
          depends: 
            link_type: vimeo

        - name: intro_title_vimeo
          label : Intro Title
          type: switch
          depends: 
            link_type: vimeo

        - name: intro_portrait_vimeo
          label : Intro Portrait
          type: switch
          help: Show the author’s profile image (portrait)
          depends: 
            link_type: vimeo

        - name: intro_byline_vimeo
          label : Intro Byline
          type: switch
          help: Show the author of the video (byline)
          depends: 
            link_type: vimeo






